### Property

# Gtk Switch:state

since: 4.0

#### Declaration

    property state: gboolean [ read, write ]

#### Description [src]

The backend state that is controlled by the switch.

Applications should usually set the `GtkSwitch:active` property, except when indicating a change to the backend state which occurs separately from the user’s interaction.

See `GtkSwitch::state-set` for details.

Type: | `gboolean`
Available since: | 4.0

Default value | FALSE
Getter method | `gtk_switch_get_state()`
Setter method | `gtk_switch_set_state()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no